Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.KeyHandler

    java.lang.Object
      |
      +--java.awt.event.KeyAdapter
            |
            +--javax.swing.plaf.basic.BasicTreeUI.KeyHandler

All Implemented Interfaces:
  EventListener, KeyListener

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.KeyHandler
extends KeyAdapter

This is used to get mutliple key down events to appropriately generate events.

Field Summary
`protected boolean` | `isKeyDown` Set to true while keyPressed is active.
`protected Action` | `repeatKeyAction` Key code that is being generated for.

Constructor Summary
`BasicTreeUI.KeyHandler()`

Method Summary
`void` | `keyPressed(KeyEvent e)` Invoked when a key has been pressed.
`void` | `keyReleased(KeyEvent e)` Invoked when a key has been released.

Methods inherited from class java.awt.event.KeyAdapter
`keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repeatKeyAction

    protected Action repeatKeyAction

  Key code that is being generated for.

### isKeyDown

    protected boolean isKeyDown

  Set to true while keyPressed is active.

Constructor Detail

### BasicTreeUI.KeyHandler

    public BasicTreeUI.KeyHandler()

Method Detail

### keyPressed

    public void keyPressed(KeyEvent e)

  Description copied from class: `KeyAdapter`
  Invoked when a key has been pressed.
  Overrides:
    `keyPressed` in class `KeyAdapter`

### keyReleased

    public void keyReleased(KeyEvent e)

  Description copied from class: `KeyAdapter`
  Invoked when a key has been released.
  Overrides:
    `keyReleased` in class `KeyAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.